import { EventEmitter } from '@angular/core';
export declare class AssetVisualizerComponent {
    /**
     * Define the default image, when no image set yet.
     */
    defaultAssetImgURL: string;
    /**
     * Define the image to show.
     */
    imgURL: string;
    /**
     * Define if user can edit image.
     */
    showEditImage: boolean;
    /**
     * Define if user can upload image.
     */
    showUploadImage: boolean;
    /**
     * Define if user can remove image.
     */
    showRemoveImage: boolean;
    /**
     * Define if user only can see the image.
     */
    onlyViewImage: boolean;
    hasMonitor: boolean;
    scenes3D: any[];
    imageUploaded: EventEmitter<any>;
    imageDeleted: EventEmitter<any>;
    sendAssetInfo: EventEmitter<any>;
    goToMonitorLink: EventEmitter<any>;
}
