import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Grid } from '../../lib/grid';
import { Cell } from '../../lib/data-set/cell';
import { Row } from '../../lib/data-set/row';
export declare class CellComponent {
    /**
     * Pass down to the form (editing) Inputs the Table's "editingForm":
     */
    editingFormGroup: FormGroup;
    grid: Grid;
    row: Row;
    createConfirm: EventEmitter<any>;
    isNew: boolean;
    cell: Cell;
    inputClass: string;
    mode: string;
    isInEditing: boolean;
    isExpanded: boolean;
    updateColumnList: any;
    edited: EventEmitter<any>;
    selectedElem: EventEmitter<any>;
    onEdited(): void;
}
